summaryrefslogtreecommitdiffstats
path: root/source/a/dialog
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2020-01-02 21:15:46 +0000
committer Eric Hameleers <alien@slackware.com>2020-01-03 08:59:49 +0100
commite4325044a8839cd09f34e5fd73e7f0ce01fcd986 (patch)
tree7316a18584df9dad63e58ed83a38ca0c4c6bbb86 /source/a/dialog
parent28ca6fabe4f11e839f66810fb111ae094e9aa79c (diff)
downloadcurrent-e4325044a8839cd09f34e5fd73e7f0ce01fcd986.tar.gz
current-e4325044a8839cd09f34e5fd73e7f0ce01fcd986.tar.xz
Thu Jan 2 21:15:46 UTC 202020200102211546
a/dialog-1.3_20191210-x86_64-1.txz: Upgraded. a/shadow-4.8-x86_64-2.txz: Rebuilt. Don't ship /etc/environment.new since sudo is no longer complaining about it. ap/lxc-2.0.11_fad08f383-x86_64-4.txz: Rebuilt. Make sure all initial devices are properly created. Fix accidental handling of rc.lxc as a modified-for-lxc init script. Thanks to crts. d/python-setuptools-44.0.0-x86_64-1.txz: Upgraded. l/libedit-20191231_3.1-x86_64-1.txz: Upgraded. l/python-pillow-7.0.0-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/a/dialog')
-rwxr-xr-xsource/a/dialog/dialog.SlackBuild17
-rw-r--r--source/a/dialog/dialog.all.use_height.diff48
-rw-r--r--source/a/dialog/dialog.no.aspect.ratio.autoajust.patch31
3 files changed, 91 insertions, 5 deletions
diff --git a/source/a/dialog/dialog.SlackBuild b/source/a/dialog/dialog.SlackBuild
index e7e94a382..261e73010 100755
--- a/source/a/dialog/dialog.SlackBuild
+++ b/source/a/dialog/dialog.SlackBuild
@@ -1,5 +1,5 @@
#!/bin/bash
-# Copyright 2006, 2007, 2008, 2009, 2010, 2011, 2013, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2008, 2009, 2010, 2011, 2013, 2018, 2019 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -35,10 +35,13 @@ PKGNAM=dialog
# that uses dialog and found to work, and you've already gotten any needed
# patches accepted upstream... well... I like this version. If it's got bugs,
# they aren't bugs that I'm running into often.
-#VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1,2 -d - | rev)}
-VERSION=1.3-20170509
+#
+# Update: dialog-1.3-20191210 actually passes the formatting tests here (with a
+# couple of patches), so we will take our first dialog upgrade in quite a while.
+#VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1,2 -d - | rev)}
+VERSION=1.3-20191210
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -85,10 +88,14 @@ fi
cd $TMP
rm -rf ${PKGNAM}-${VERSION}
-tar xvf $CWD/${PKGNAM}-$VERSION.tar.xz || exit 1
+tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z || exit 1
cd ${PKGNAM}-$VERSION || exit 1
+# These patches take care of the formatting issues that were preventing
+# us from moving to a more recent version of dialog:
+zcat $CWD/dialog.all.use_height.diff.gz | patch -p1 --verbose || exit 1
zcat $CWD/dialog.smaller.min.height.diff.gz | patch -p1 --verbose || exit 1
+zcat $CWD/dialog.no.aspect.ratio.autoajust.patch.gz | patch -p1 --verbose || exit 1
# Make sure ownerships and permissions are sane:
chown -R root:root .
diff --git a/source/a/dialog/dialog.all.use_height.diff b/source/a/dialog/dialog.all.use_height.diff
new file mode 100644
index 000000000..9eb1952c7
--- /dev/null
+++ b/source/a/dialog/dialog.all.use_height.diff
@@ -0,0 +1,48 @@
+--- ./menubox.c.orig 2019-11-10 19:41:15.000000000 -0600
++++ ./menubox.c 2019-12-06 13:16:39.400865476 -0600
+@@ -433,7 +433,8 @@
+ * After displaying the prompt, we know how much space we really have.
+ * Limit the list to avoid overwriting the ok-button.
+ */
+- all.menu_height = height - MIN_HIGH - cur_y;
++ if (all.menu_height + MIN_HIGH > height - cur_y)
++ all.menu_height = height - MIN_HIGH - cur_y;
+ if (all.menu_height <= 0)
+ all.menu_height = 1;
+
+--- ./buildlist.c.orig 2019-11-10 19:41:43.000000000 -0600
++++ ./buildlist.c 2019-12-06 13:16:39.402865476 -0600
+@@ -653,7 +653,8 @@
+ * After displaying the prompt, we know how much space we really have.
+ * Limit the list to avoid overwriting the ok-button.
+ */
+- all.use_height = height - MIN_HIGH - cur_y;
++ if (all.use_height + MIN_HIGH > height - cur_y)
++ all.use_height = height - MIN_HIGH - cur_y;
+ if (all.use_height <= 0)
+ all.use_height = 1;
+
+--- ./checklist.c.orig 2019-11-10 19:26:35.000000000 -0600
++++ ./checklist.c 2019-12-06 13:16:39.404865476 -0600
+@@ -304,7 +304,8 @@
+ * After displaying the prompt, we know how much space we really have.
+ * Limit the list to avoid overwriting the ok-button.
+ */
+- all.use_height = height - MIN_HIGH - cur_y;
++ if (all.use_height + MIN_HIGH > height - cur_y)
++ all.use_height = height - MIN_HIGH - cur_y;
+ if (all.use_height <= 0)
+ all.use_height = 1;
+
+--- ./treeview.c.orig 2019-11-10 19:38:22.000000000 -0600
++++ ./treeview.c 2019-12-06 13:17:35.604866677 -0600
+@@ -291,7 +291,8 @@
+ * After displaying the prompt, we know how much space we really have.
+ * Limit the list to avoid overwriting the ok-button.
+ */
+- use_height = height - MIN_HIGH - cur_y;
++ if (use_height + MIN_HIGH > height - cur_y)
++ use_height = height - MIN_HIGH - cur_y;
+ if (use_height <= 0)
+ use_height = 1;
+
diff --git a/source/a/dialog/dialog.no.aspect.ratio.autoajust.patch b/source/a/dialog/dialog.no.aspect.ratio.autoajust.patch
new file mode 100644
index 000000000..7bce97b80
--- /dev/null
+++ b/source/a/dialog/dialog.no.aspect.ratio.autoajust.patch
@@ -0,0 +1,31 @@
+--- ./util.c.orig 2019-11-10 17:20:58.000000000 -0600
++++ ./util.c 2019-12-07 14:40:23.404722986 -0600
+@@ -1237,28 +1237,6 @@
+ justify_text((WINDOW *) 0, prompt, max_y, max_x, &high, &wide);
+ car = (float) (wide / high);
+
+- /*
+- * If the aspect ratio is greater than it should be, then decrease the
+- * width proportionately.
+- */
+- if (car > ar) {
+- float diff = car / (float) ar;
+- max_x = (int) ((float) wide / diff + 4);
+- justify_text((WINDOW *) 0, prompt, max_y, max_x, &high, &wide);
+- car = (float) wide / (float) high;
+- }
+-
+- /*
+- * If the aspect ratio is too small after decreasing the width, then
+- * incrementally increase the width until the aspect ratio is equal to or
+- * greater than the specified aspect ratio.
+- */
+- while (car < ar && max_x < max_width) {
+- max_x += 4;
+- justify_text((WINDOW *) 0, prompt, max_y, max_x, &high, &wide);
+- car = (float) (wide / high);
+- }
+-
+ *height = high;
+ *width = wide;
+ }